Get the status of Octopus Server
GET /api
Shows information about the status of the Octopus Server.
Response
200 — A snapshot of the server’s current status
Idstring
Gets or sets a unique identifier for this resource.IsDatabaseEncryptedbooleanIsInMaintenanceModebooleanIsMajorMinorUpgradebooleanIsPotentialClonebooleanIsUpgradeAvailablebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MaintenanceExpiresstringMaximumAvailableVersionstringMaximumAvailableVersionCoveredByLicensestring
Example Response
{
"Id": "string",
"IsDatabaseEncrypted": true,
"IsInMaintenanceMode": true,
"IsMajorMinorUpgrade": true,
"IsPotentialClone": true,
"IsUpgradeAvailable": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MaintenanceExpires": "string",
"MaximumAvailableVersion": "string",
"MaximumAvailableVersionCoveredByLicense": "string"
}Get counts of documents in the server
GET /api
List counts of various document types to assist in diagnosing issues with the server.
Response
200 — The requested Server Document Counts
GlobalobjectSpacesintegerTeamsintegerUsersinteger
InfrastructureobjectDeploymentTargetsintegerEnvironmentsintegerTenantsintegerWorkerPoolsintegerWorkersinteger
LibraryobjectCertificatesintegerPackagesintegerVariableSetsinteger
ProjectobjectDeploymentsintegerProjectsintegerReleasesintegerRunbookRunsintegerRunbooksinteger
Example Response
{
"Global": {
"Spaces": 0,
"Teams": 0,
"Users": 0
},
"Infrastructure": {
"DeploymentTargets": 0,
"Environments": 0,
"Tenants": 0,
"WorkerPools": 0,
"Workers": 0
},
"Library": {
"Certificates": 0,
"Packages": 0,
"VariableSets": 0
},
"Project": {
"Deployments": 0,
"Projects": 0,
"Releases": 0,
"RunbookRuns": 0,
"Runbooks": 0
}
}Force a GC collect
POST /api
Triggers a garbage collection pass for all heap generations, including the large object heap.
Response
200 — OK
Force a GC collect
POST /api
Triggers a garbage collection pass for all heap generations, including the large object heap.
Response
200 — Internal
Example Response
{}Get the general health of Octopus Server
GET /api
Provides a super simple interface perfect for checking the general health of your entire Octopus Server cluster.
Response
200 — A snapshot of the server or cluster’s current health
DescriptionstringIdstring
Gets or sets a unique identifier for this resource.IsCompliantWithLicensebooleanIsEntireClusterDrainingTasksbooleanIsEntireClusterReadOnlybooleanIsOperatingNormallybooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Error Responses
418— Indicates that the server is not operating normally
Example Response
{
"Description": "string",
"Id": "string",
"IsCompliantWithLicense": true,
"IsEntireClusterDrainingTasks": true,
"IsEntireClusterReadOnly": true,
"IsOperatingNormally": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Retrieve the most recent high-priority log messages from this execution of the Octopus Server process
GET /api
Query Parameters
includeDetailbooleanskipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The most recent high-priority log messages from this execution of the Octopus Server process
CategorystringDetailstringGapLastNumberintegerMessageTextstringNumberintegerOccurredAtstring
Formatdate-time.
Example Response
[
{
"Category": "string",
"Detail": "string",
"GapLastNumber": 0,
"MessageText": "string",
"Number": 0,
"OccurredAt": "2020-01-01T00:00:00.000Z"
}
]Provide information about the Octopus Server process and the machine on which it is running
GET /api
Response
200 — Information about the Octopus Server process and the machine on which it is running.
ClrVersionstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MinThreadPoolCountintegerOSVersionstringThreadCountintegerUptimestring
Formatdate-span.VersionstringWorkingSetBytesinteger
Example Response
{
"ClrVersion": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MinThreadPoolCount": 0,
"OSVersion": "string",
"ThreadCount": 0,
"Uptime": "string",
"Version": "string",
"WorkingSetBytes": 0
}Create a .zip archive containing an aggregate of the other system information APIs
GET /api
Query Parameters
nodeSpecificOnlyboolean
When true, only node-specific sections are included (recent logs, system info, filesystem logs). Defaults to false (full report) when not set.
Response
200 — Success
Example Response
"string"List timezones supported by the server
GET /api
Response
200 — The requested list of timezones supported by the server.
Idstring
Gets or sets a unique identifier for this resource.IsLocalbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Example Response
[
{
"Id": "string",
"IsLocal": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
]